Loading...
Searching...
No Matches
Gudhi::persistence_matrix::Column_dimension_holder< Master_matrix > Class Template Reference
Persistence Matrix

Class managing the dimension access of a column. More...

`#include <gudhi/Persistence_matrix/columns/column_dimension_holder.h>`

## Public Types

using | Dimension = typename Master_matrix::Dimension

## Public Member Functions

| Column_dimension_holder ()
| Default constructor. Sets the dimension to 0 for boundary matrices and to null index for chain matrices.
| Column_dimension_holder (Dimension dim)
| Constructor setting the dimension to the given value.
| Column_dimension_holder (const Column_dimension_holder &col)
| Copy constructor.
| Column_dimension_holder (Column_dimension_holder &&col)
| Move constructor.
Dimension | get_dimension () const
| Returns the dimension of the column.
Column_dimension_holder & | operator= (const Column_dimension_holder &other)
| Assign operator.

## Friends

void | swap (Column_dimension_holder &col1, Column_dimension_holder &col2)
| Swap operator.

## Detailed Description

template<class Master_matrix>
class Gudhi::persistence_matrix::Column_dimension_holder< Master_matrix >

Class managing the dimension access of a column.

Template Parameters

  Master_matrix | An instantiation of Matrix from which all types and options are deduced.

## Member Typedef Documentation

## Dimension

template<class Master_matrix>

using Gudhi::persistence_matrix::Column_dimension_holder< Master_matrix >::Dimension = typename Master_matrix::Dimension

Dimension value type.

## Constructor & Destructor Documentation

## Column_dimension_holder() [1/3]

template<class Master_matrix>

Gudhi::persistence_matrix::Column_dimension_holder< Master_matrix >::Column_dimension_holder | ( | Dimension | dim | ) |

inline

Constructor setting the dimension to the given value.

Parameters

  dim | Dimension of the column.

## Column_dimension_holder() [2/3]

template<class Master_matrix>

Gudhi::persistence_matrix::Column_dimension_holder< Master_matrix >::Column_dimension_holder | ( | const Column_dimension_holder< Master_matrix > & | col | ) |

inline

Copy constructor.

Parameters

  col | Column to copy.

## Column_dimension_holder() [3/3]

template<class Master_matrix>

Gudhi::persistence_matrix::Column_dimension_holder< Master_matrix >::Column_dimension_holder | ( | Column_dimension_holder< Master_matrix > && | col | ) |

inline

Move constructor.

Parameters

  col | Column to move.

## Member Function Documentation

## get_dimension()

template<class Master_matrix>

Dimension Gudhi::persistence_matrix::Column_dimension_holder< Master_matrix >::get_dimension | ( |  | ) | const

inline

Returns the dimension of the column.

Returns
  The dimension of the column.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_matrix/columns/column_dimension_holder.h